Google Maps don't render properly

UX Shop - Responsive WooCommerce theme UX Shop - Responsive WooCommerce theme / FAQ Last updated on Updated Jan 23, 2019

If you are seeing the message "For development purposes only" overlaying your map, you are trying to render the map without providing a Google API key.

Google Maps changed their policy and began enforcing the use of API keys, effective June 11, 2018

A Google API key is required to render Google Maps. You can check this link on how to create one or the official guide.  

Once you have your API key you need to enter it to the Google API key field under UX Shop > Advanced for the maps to render correctly.